-- Used
Select 'Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = ''' || PAGE.ROUTE_NAME || ''' And PERM.ACTION = ''' || PERM.ACTION || ''' And PERM.ROUTE = ''' || PERM.ROUTE || ''';' as stmt
From ADMIN_PAGE_PERMISSION APP
Inner Join ADMIN_PAGE PAGE
           On APP.ADMIN_PAGE_ID = PAGE.ID
Inner Join ADMIN_PERMISSION PERM
           On APP.ADMIN_PERMISSION_ID = PERM.ID;

-- To Generate:
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'Home' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/system/authedUser/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'Home' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/system/environment/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemTerms' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/termsToProcess/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemTerms' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/termsToProcess/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemTerms' And PERM.ACTION = 'Delete' And PERM.ROUTE = '/rest/termsToProcess/{campus}/{term}';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemMasterCourses' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsCourse/{id}';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseAddDev' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/lmsCourse/dev/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseDelete' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/lmsCourse/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseAdd' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/lmsCourse/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseDeleteDefunct' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseDelete' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseLinking' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseRecreate' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseEnrollments' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseRefresh' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseAddDev' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseAdd' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseRefresh' And PERM.ACTION = 'Put' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseDeleteDefunct' And PERM.ACTION = 'Delete' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseDelete' And PERM.ACTION = 'Delete' And PERM.ROUTE = '/rest/lmsCourse/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseDelete' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/courses/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseLinking' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/courses/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseRecreate' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/courses/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseEnrollments' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/courses/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseRefresh' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/courses/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseAdd' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/courses/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseDeleteDefunct' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/courses/defunct/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemTerms' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/courses/stats/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseHomepages' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/courses/homepages/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseNavbars' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/courses/navbars/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseRefresh' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/course/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemMasterCourses' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/university/all/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseAddDev' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/university/all/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemMasterCourses' And PERM.ACTION = 'Put' And PERM.ROUTE = '/rest/university/{id:[0-9]+}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseAddDev' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/college/set/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemMasterCourses' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/college/all/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemMasterCourses' And PERM.ACTION = 'Put' And PERM.ROUTE = '/rest/college/{id:[0-9]+}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseAddDev' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/academicUnit/set/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemMasterCourses' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/academicUnit/all/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemMasterCourses' And PERM.ACTION = 'Put' And PERM.ROUTE = '/rest/academicUnit/{id:[0-9]+}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseEnrollments' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/enrollments/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'UserSystemEnrollments' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/enrollments/system/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'UserSystemEnrollments' And PERM.ACTION = 'Put' And PERM.ROUTE = '/rest/enrollments/system/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseEnrollments' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsEnrollments/byCode/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseEnrollments' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/lmsEnrollment/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseEnrollments' And PERM.ACTION = 'Delete' And PERM.ROUTE = '/rest/lmsEnrollment/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseLinking' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/linkedCourse/children/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseLinking' And PERM.ACTION = 'Delete' And PERM.ROUTE = '/rest/linkedCourse/{parentCode}/{childCode}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'CourseLinking' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/linkedCourse/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'UserSystemEnrollments' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/users/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'UserRefresh' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/users/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'UserRefresh' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/lmsUser/byEmplid/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'UserRefresh' And PERM.ACTION = 'Put' And PERM.ROUTE = '/rest/lmsUser/byEmplid/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemCourseSettings' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/courseSettings/{campus}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemCourseSettings' And PERM.ACTION = 'Put' And PERM.ROUTE = '/rest/courseSettings/{campus}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'Home' And PERM.ACTION = 'Get' And PERM.ROUTE = '/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUserPermissions' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/adminUserPermission/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUserPermissions' And PERM.ACTION = 'Delete' And PERM.ROUTE = '/rest/adminUserPermission/{adminUserId:[0-9]+}/{adminPermissionId:[0-9]+}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUserPermissions' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/adminUser/{id:[0-9]+}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUserPermissions' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/adminPage/all-with-permissions/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUserPermissions' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/adminUserPage/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUserPermissions' And PERM.ACTION = 'Delete' And PERM.ROUTE = '/rest/adminUserPage/{adminUserId:[0-9]+}/{adminPageId:[0-9]+}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUsers' And PERM.ACTION = 'Get' And PERM.ROUTE = '/rest/adminUser/all/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUsers' And PERM.ACTION = 'Post' And PERM.ROUTE = '/rest/adminUser/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUsers' And PERM.ACTION = 'Put' And PERM.ROUTE = '/rest/adminUser/{id:[0-9]+}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'SystemAdminUsers' And PERM.ACTION = 'Delete' And PERM.ROUTE = '/rest/adminUser/{id:[0-9]+}/';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'Home' And PERM.ACTION = 'Get' And PERM.ROUTE = '/favicon.ico';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'Home' And PERM.ACTION = 'Get' And PERM.ROUTE = '/js/**';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'Home' And PERM.ACTION = 'Get' And PERM.ROUTE = '/css/**';
Insert Into ADMIN_PAGE_PERMISSION (ADMIN_PAGE_ID, ADMIN_PERMISSION_ID) Select PAGE.ID, PERM.ID From ADMIN_PAGE PAGE, ADMIN_PERMISSION PERM Where PAGE.ROUTE_NAME = 'Home' And PERM.ACTION = 'Get' And PERM.ROUTE = '/img/**';
